
From: Marcelo Tosatti <marcelo.tosatti@cyclades.com>

The following patches fixes tty drivers which dont set devfs_name. Not
doing so will cause the tty layer to create "/dev/<NULL>x" entries when
devfs is being used.

I used "drivername/" in isicom and pcxe because the letter used to
identify them are already used by other drivers.


---

 25-akpm/drivers/char/cyclades.c |    1 +
 25-akpm/drivers/char/epca.c     |    1 +
 25-akpm/drivers/char/esp.c      |    1 +
 25-akpm/drivers/char/isicom.c   |    1 +
 25-akpm/drivers/char/moxa.c     |    1 +
 25-akpm/drivers/char/pcxx.c     |    1 +
 25-akpm/drivers/char/riscom8.c  |    1 +
 7 files changed, 7 insertions(+)

diff -puN drivers/char/cyclades.c~tty-drivers-devfs-fix drivers/char/cyclades.c
--- 25/drivers/char/cyclades.c~tty-drivers-devfs-fix	Fri Feb 27 15:54:15 2004
+++ 25-akpm/drivers/char/cyclades.c	Fri Feb 27 15:54:15 2004
@@ -5411,6 +5411,7 @@ cy_init(void)
     cy_serial_driver->owner = THIS_MODULE;
     cy_serial_driver->driver_name = "cyclades";
     cy_serial_driver->name = "ttyC";
+    cy_serial_driver->devfs_name = "tts/C";
     cy_serial_driver->major = CYCLADES_MAJOR;
     cy_serial_driver->minor_start = 0;
     cy_serial_driver->type = TTY_DRIVER_TYPE_SERIAL;
diff -puN drivers/char/epca.c~tty-drivers-devfs-fix drivers/char/epca.c
--- 25/drivers/char/epca.c~tty-drivers-devfs-fix	Fri Feb 27 15:54:15 2004
+++ 25-akpm/drivers/char/epca.c	Fri Feb 27 15:54:15 2004
@@ -1644,6 +1644,7 @@ int __init pc_init(void)
 
 	pc_driver->owner = THIS_MODULE;
 	pc_driver->name = "ttyD"; 
+	pc_driver->devfs_name = "tts/D";
 	pc_driver->major = DIGI_MAJOR; 
 	pc_driver->minor_start = 0;
 	pc_driver->type = TTY_DRIVER_TYPE_SERIAL;
diff -puN drivers/char/esp.c~tty-drivers-devfs-fix drivers/char/esp.c
--- 25/drivers/char/esp.c~tty-drivers-devfs-fix	Fri Feb 27 15:54:15 2004
+++ 25-akpm/drivers/char/esp.c	Fri Feb 27 15:54:15 2004
@@ -2491,6 +2491,7 @@ int __init espserial_init(void)
 	
 	esp_driver->owner = THIS_MODULE;
 	esp_driver->name = "ttyP";
+	esp_driver->devfs_name = "tts/P";
 	esp_driver->major = ESP_IN_MAJOR;
 	esp_driver->minor_start = 0;
 	esp_driver->type = TTY_DRIVER_TYPE_SERIAL;
diff -puN drivers/char/isicom.c~tty-drivers-devfs-fix drivers/char/isicom.c
--- 25/drivers/char/isicom.c~tty-drivers-devfs-fix	Fri Feb 27 15:54:15 2004
+++ 25-akpm/drivers/char/isicom.c	Fri Feb 27 15:54:15 2004
@@ -1627,6 +1627,7 @@ static int register_drivers(void)
 
 	isicom_normal->owner	= THIS_MODULE;
 	isicom_normal->name 	= "ttyM";
+	isicom_normal->devfs_name = "isicom/";
 	isicom_normal->major	= ISICOM_NMAJOR;
 	isicom_normal->minor_start	= 0;
 	isicom_normal->type	= TTY_DRIVER_TYPE_SERIAL;
diff -puN drivers/char/moxa.c~tty-drivers-devfs-fix drivers/char/moxa.c
--- 25/drivers/char/moxa.c~tty-drivers-devfs-fix	Fri Feb 27 15:54:15 2004
+++ 25-akpm/drivers/char/moxa.c	Fri Feb 27 15:54:15 2004
@@ -309,6 +309,7 @@ static int __init moxa_init(void)
 	init_MUTEX(&moxaBuffSem);
 	moxaDriver->owner = THIS_MODULE;
 	moxaDriver->name = "ttya";
+	moxaDriver->devfs_name = "tts/a";
 	moxaDriver->major = ttymajor;
 	moxaDriver->minor_start = 0;
 	moxaDriver->type = TTY_DRIVER_TYPE_SERIAL;
diff -puN drivers/char/pcxx.c~tty-drivers-devfs-fix drivers/char/pcxx.c
--- 25/drivers/char/pcxx.c~tty-drivers-devfs-fix	Fri Feb 27 15:54:15 2004
+++ 25-akpm/drivers/char/pcxx.c	Fri Feb 27 15:54:15 2004
@@ -1150,6 +1150,7 @@ static int __init pcxe_init(void)
 
 	pcxe_driver->owner = THIS_MODULE;
 	pcxe_driver->name = "ttyD";
+	pcxe_driver->devfs_name = "pcxe/";
 	pcxe_driver->major = DIGI_MAJOR; 
 	pcxe_driver->minor_start = 0;
 	pcxe_driver->type = TTY_DRIVER_TYPE_SERIAL;
diff -puN drivers/char/riscom8.c~tty-drivers-devfs-fix drivers/char/riscom8.c
--- 25/drivers/char/riscom8.c~tty-drivers-devfs-fix	Fri Feb 27 15:54:15 2004
+++ 25-akpm/drivers/char/riscom8.c	Fri Feb 27 15:54:15 2004
@@ -1687,6 +1687,7 @@ static inline int rc_init_drivers(void)
 	memset(IRQ_to_board, 0, sizeof(IRQ_to_board));
 	riscom_driver->owner = THIS_MODULE;
 	riscom_driver->name = "ttyL";
+	riscom_driver->devfs_name = "tts/L";
 	riscom_driver->major = RISCOM8_NORMAL_MAJOR;
 	riscom_driver->type = TTY_DRIVER_TYPE_SERIAL;
 	riscom_driver->subtype = SERIAL_TYPE_NORMAL;

_
